package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.QrPackage;
import com.abi.qms.platform.dao.vo.result.QrPackageVO;
import com.abi.qms.platform.dto.req.ListQrPackageReq;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 码包 Mapper接口
 *
 * @author WeiganCai
 * @date 2021-04-28
 */
public interface QrPackageMapper extends BaseMapper<QrPackage> {

	/**
	 * 分页查询码包信息
	 */
	IPage<QrPackageVO> listQrPackage(IPage page, ListQrPackageReq param);

	/**
	 * 查询码包详细信息
	 */
	QrPackageVO selectQrPackageDetailById(Long id);
}
