package com.abi.qms.platform.dto.req;

import com.abi.task.common.api.base.PageReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author: fangxinjian
 * @date: 2021/04/20 11:10
 * @description: 箱码幅面分页查询入参
 */
@Data
@ApiModel
public class ListBoxCodeFormatReq extends PageReq implements Serializable {

    @ApiModelProperty(value = "部门id")
    private Long deptId;

    @ApiModelProperty(value = "箱码幅面名称")
    private String name;

    @ApiModelProperty(value = "状态 1-启用 0-停用")
    private Integer state;
}
