package com.abi.qms.platform.dto.req;

import com.abi.task.common.api.base.PageReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 供应商查询分页入参
 */
@Data
@ApiModel
public class ListFactoryReq extends PageReq implements Serializable {

    @ApiModelProperty(value = "供应商名称")
    private String factoryName;

    @ApiModelProperty(value = "供应商类型 1-包材厂 2-啤酒厂")
    private Integer factoryType;

    @ApiModelProperty(value = "是否有效 0-无效 1-有效")
    private Integer valid;

}
