package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 登录入参
 */
@Data
@ApiModel
public class LoginReq implements Serializable {

  @NotEmpty(message = "用户名不能为空")
  @ApiModelProperty("用户名")
  private String userName;

  @NotEmpty(message = "密码不能为空")
  @ApiModelProperty("密码")
  private String password;



}
