package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author: fangxinjian
 * @date: 2021/04/20 10:18
 * @description:
 */
@Data
@ApiModel
public class SaveBoxCodeFormatReq implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "箱码幅面名称")
    private String name;

    @ApiModelProperty(value = "部门id")
    private Long deptId;

    @ApiModelProperty(value = "码库id")
    private Long codeStoreId;

    @ApiModelProperty(value = "供应商id")
    private Long factoryId;

    @ApiModelProperty(value = "每卷色标量")
    private Integer colorPerRollScalar;

    @ApiModelProperty(value = "幅面数量")
    private Integer formatNumber;

    @ApiModelProperty(value = "备注")
    private String remark;

}
