package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 查询当前用户能看到的资源出参
 */
@Data
@ApiModel
public class ListResourceRes implements Serializable {

  @ApiModelProperty("用户名下的角色code列表")
  private List<String> roleCodeList;

}
