package com.abi.qms.platform.dto.res.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author Eurus
 * @date 2021/4/19 16:44
 */
@Data
@ApiModel
public class UserInfoResp implements Serializable {
    @ApiModelProperty(value = "用户id")
    private Long id;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "工号")
    private String employeeNo;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "部门")
    private String deptName;

    @ApiModelProperty(value = "供应商")
    private String factoryName;

    @ApiModelProperty(value = "角色")
    private String roleName;

    @ApiModelProperty(value = "是否启用")
    private Integer isEnable;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;
}
