package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.QrRepertoryColumn;
import com.abi.qms.platform.dto.req.BatchInsertQrRepertoryColumnReq;
import com.abi.qms.platform.dto.req.SaveQrRepertoryReq;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 码库的列信息 Mapper接口
 *
 * @author WeiganCai
 * @date 2021-04-25
 */
public interface QrRepertoryColumnMapper extends BaseMapper<QrRepertoryColumn> {

	/**
	 * 批量插入码库的列
	 */
	int batchInsert(BatchInsertQrRepertoryColumnReq req);

	/**
	 * 逻辑删除码库的列
	 * @param
	 */
	void deleteByQrRepertoryId(Long qrRepertory);
}
