package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author Eurus
 * @date 2021/4/20 14:28
 * @Description: 重置密码入参
 */
@Data
@ApiModel
public class ResetPasswordReq implements Serializable {
    @NotNull(message = "用户id为空")
    @ApiModelProperty(value = "用户id")
    private Long id;

    @NotEmpty(message = "密码为空")
    @ApiModelProperty(value = "密码")
    private String password;
}
