package com.abi.qms.platform.service;

import com.abi.qms.platform.dto.req.*;
import com.abi.qms.platform.dto.res.GetQrRepertoryDetailRes;
import com.abi.qms.platform.dto.res.ListQrRepertoryRes;

/**
 * 码库 Service接口
 *
 * @author WeiganCai
 * @date 2021-04-25
 */
public interface QrRepertoryService {

	/**
	 * 保存码库
	 */
	void saveQrRepertory(SaveQrRepertoryReq saveQrRepertoryReq);

	/**
	 * 码库查询分页
	 */
	ListQrRepertoryRes listQrRepertory(ListQrRepertoryReq listQrRepertoryReq);

	/**
	 * 码库查询详情
	 */
	GetQrRepertoryDetailRes getQrRepertoryDetail(GetQrRepertoryDetailReq getQrRepertoryDetailReq);

	/**
	 * 码库启用
	 */
	void enableQrRepertory(EnableQrRepertoryReq enableQrRepertoryReq);

	/**
	 * 码库禁用
	 */
	void disableQrRepertory(DisableQrRepertoryReq disableQrRepertoryReq);

	/**
	 * 删除码库
	 */
	void deleteQrRepertory(DeleteQrRepertoryReq deleteQrRepertoryReq);
}
